--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Modifies expectation so that the expected method must be called at least a <tt>minimum_number_of_times</tt>.
- !ruby/struct:SM::Flow::VERB 
  body: "  object = mock()\n  object.expects(:expected_method).at_least(2)\n  3.times { object.expected_method }\n  # =&gt; verify succeeds\n\n  object = mock()\n  object.expects(:expected_method).at_least(2)\n  object.expected_method\n  # =&gt; verify fails\n"
full_name: Mocha::Expectation#at_least
is_singleton: false
name: at_least
params: " at_least(minimum_number_of_times) -> expectation\n"
visibility: public
